#### D.15.16.2 ringOf

Procedure from library `polyclass.lib` (see polyclass_lib).

Usage:
  ringOf(F); F Poly

Return:
  F.value

Example:

    LIB "polyclass.lib";
    ring R=0,(x,y),ds;
    poly f = x+y;
    Poly F = makePoly(f);
    ringOf(F);
    ==> // coefficients: QQ considered as a field
    ==> // number of vars : 2
    ==> //        block   1 : ordering ds
    ==> //                  : names    x y
    ==> //        block   2 : ordering C

User manual for Singular version 4.4.1, 2025, generated by texi2html.